Package twisted :: Package protocols :: Module pop3 :: Class IMailbox |
[frames | no frames]

## Class IMailbox

    Interface --+
                |
               IMailbox

Method Summary
| ``deleteMessage`(self, index)` Delete a particular message.
A file-like object | ``getMessage`(self, index)` Retrieve a file-like object for a particular message.
`str` | ``getUidl`(self, index)` Get a unique identifier for a particular message.
`int` or any iterable of `int` | ``listMessages`(self, index)` Retrieve the size of one or more messages.
| ``sync`(self)` Perform checkpointing.
| ``undeleteMessages`(self)` Undelete any messages possible.

Instance Variable Summary
`int` | `loginDelay`: The number of seconds between allowed logins for the user associated with this mailbox.
`int` | `messageExpiration`: The number of days messages in this mailbox will remain on the server before being deleted.

Method Details

### deleteMessage(self, index) Delete a particular message. This must not change the number of messages in this mailbox. Further requests for the size of deleted messages should return 0. Further requests for the message itself may raise an exception. Parameters: `index` - The number of the message to delete. (type=`int`)

### getMessage(self, index) Retrieve a file-like object for a particular message. Parameters: `index` - The number of the message to retrieve (type=`int`) Returns: A file-like object

### getUidl(self, index) Get a unique identifier for a particular message. Parameters: `index` - The number of the message for which to retrieve a UIDL (type=`int`) Returns: A string of printable characters uniquely identifying for all time the specified message. (type=`str`)

### listMessages(self, index=None) Retrieve the size of one or more messages. Parameters: `index` - The number of the message for which to retrieve the size (starting at 0), or None to retrieve the size of all messages. (type=`int` or `None`) Returns: The number of octets in the specified message, or an iterable of integers representing the number of octets in all the messages. (type=`int` or any iterable of `int`)

### sync(self) Perform checkpointing. This method will be called to indicate the mailbox should attempt to clean up any remaining deleted messages.

### undeleteMessages(self) Undelete any messages possible. If a message can be deleted it, it should return it its original position in the message sequence and retain the same UIDL.

Instance Variable Details

### loginDelay The number of seconds between allowed logins for the user associated with this mailbox. None Type: `int`

### messageExpiration The number of days messages in this mailbox will remain on the server before being deleted. Type: `int`

Generated by Epydoc 2.0 on Sat Oct 25 00:55:04 2003 | http://epydoc.sf.net